/*
 Digispark работает по USB как СОМ порт
 При обнаружении устройства надо подсунуть
 C:\Documents and Settings\1\Мои документы\Digispark\Digistump.Drivers\Digistump Drivers
 взято отсюда:
 https://github.com/digistump/DigistumpArduino/releases/download/1.6.7/Digistump.Drivers.zip
 ссылка с Digistump:
 http://digistump.com/wiki/digispark/tutorials/connecting
 * 
 проверка работы DigiCDC и EEPROM на чтение
 по нажатию 'Q' - выводится 512 ячеек EEPROM
 для чтения используется Arduino IDE терминал
 */

#include <DigiCDC.h>
#include <EEPROM.h>


void setup() {                
  // initialize the digital pin as an output.
  SerialUSB.begin(); 
}

void get_input() {
  int lastRead;
  // when there are no characters to read, or the character isn't a newline
  while (true) { // loop forever
    if (SerialUSB.available()) {
      // something to read
      lastRead = SerialUSB.read();
      SerialUSB.write(lastRead);
      
      if (lastRead == '\n') {
        break; // when we get a newline, break out of loop
      }

      if (lastRead == 'Q') {
        for (int addr = 0; addr < 512; addr = addr + 2) {
          byte aLow  = EEPROM.read(addr);
          byte aHigh = EEPROM.read(addr+1);
          
//          DigiUSB.print("-"); //addr);
          SerialUSB.print(addr);
          SerialUSB.print(";  ");
        //  Serial.print(tLow+tHigh*256);  //время в мс
        //  Serial.print(";  ");
//          DigiUSB.print("="); //aLow+aHigh*256);  //высота в десятых долях метра
          unsigned int bd = aLow+aHigh*256;
          SerialUSB.print(bd);  //высота в десятых долях метра
//          DigiUSB.print(aLow+aHigh*256);  //высота в десятых долях метра
          SerialUSB.println(";  ");
//          DigiUSB.print('\n');
    SerialUSB.delay(10);
        }
      }

    }
    
    // refresh the usb port for 10 milliseconds
    SerialUSB.delay(10);
  }
}

void loop() {
  // print output
  SerialUSB.println("Waiting for input...");
  // get input
  get_input();

}
